#pragma once

struct GameState;

typedef struct GameApi {
    struct GameApi *(*init)();
    void (*finalize) (struct GameApi *state);
    void (*reload) (struct GameApi *state);
    void (*unload) (struct GameApi *state);
    void (*step) (struct GameApi *state);
} GameApi;

extern const struct GameApi GAME_API;
